- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QMetaEnum Class Reference

Search for all occurrences

## Detailed Description

Definition at line 144 of file qmetaobject.h.

`#include <qmetaobject.h>`

List of all members.

## Public Member Functions
| QMetaEnum ()
const char * | name () const
bool | isFlag () const
int | keyCount () const
const char * | key (int index) const
int | value (int index) const
const char * | scope () const
int | keyToValue (const char *key) const
const char * | valueToKey (int value) const
int | keysToValue (const char *keys) const
QByteArray | valueToKeys (int value) const
const QMetaObject * | enclosingMetaObject () const
bool | isValid () const
## Friends
struct | QMetaObject

## Constructor & Destructor Documentation

QMetaEnum | ( |  | ) | `[inline]`

Definition at line 147 of file qmetaobject.h.

    : mobj(0),handle(0) {}

## Member Function Documentation

const char* name | ( |  | ) | const

Search for all occurrences

bool isFlag | ( |  | ) | const

Search for all occurrences

int keyCount | ( |  | ) | const

Search for all occurrences

const char* key | ( | int | index | ) | const

Search for all occurrences

int value | ( | int | index | ) | const

Search for all occurrences

const char* scope | ( |  | ) | const

Search for all occurrences

int keyToValue | ( | const char * | key | ) | const

Search for all occurrences

const char* valueToKey | ( | int | value | ) | const

Search for all occurrences

int keysToValue | ( | const char * | keys | ) | const

Search for all occurrences

QByteArray valueToKeys | ( | int | value | ) | const

Search for all occurrences

const QMetaObject* enclosingMetaObject | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 163 of file qmetaobject.h.

    { return mobj; }

bool isValid | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 165 of file qmetaobject.h.

    { return name() != 0; }

## Friends And Related Function Documentation

friend struct QMetaObject `[friend]`

Search for all occurrences

Definition at line 169 of file qmetaobject.h.

The documentation for this class was generated from the following file:

- QtCore/qmetaobject.h

QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum
QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum QMetaEnum